#pragma once

#include <cstdint>

namespace xtr {

enum class FileType : uint32_t {
  trs,
  rsm,
  oss,

  json,
  docx,
  csv,
  txt,
  xlsx,
  png,
};

CString ExtensionFor(FileType type);

} // namespace xtr