#pragma once

#include <optional>

namespace xtr::io {

struct SchemaOptions {
  BOOL bTerm;
  BOOL bRSDef;
  BOOL bTextDef;
  BOOL bComment;
  BOOL bTyping;
};

enum class LinkType : uint32_t {
  formula = 0,
  lexTerm,
  lexDef,
  size_
};

struct CstGraphOptions {
  std::optional<LinkType> linkage{ std::nullopt };
  BOOL triplets{ TRUE };
};

} // namespace xtr::io